import dynamix_sdk.base as _base


class CloudapiRgAccessRevokeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiRgAccessRevokeProtocol(_base.BasePostAPIFunctionProtocol):
    def access_revoke(
        self,
        *,
        rg_id: int,
        user_name: str,
    ) -> CloudapiRgAccessRevokeResultBool:
        ...
